# Input/output configuration
input_dir: ${SCRATCH}/LRT/v3/pileup40/filter_processed
output_dir: ${SCRATCH}/LRT/v3/pileup40/gnn_processed
project: LRT_GNN

# Dataset parameters
pt_background_cut: 0.
pt_signal_cut: 1.
datatype_names: [[train, val, test]] # Which directory prefixes to use, assuming at least a train dataset 
datatype_split: [[0, 0, 500]] # Number of [training, validation, testing] examples
# datatype_split: [[4000, 500, 500]] 
endcaps: False
true_edges: layerless_true_edges
truth_key: y
noise: True
mask_background: True

# Model parameters
edge_cut: 0.5
spatial_channels: 3
cell_channels: 0
hidden: 128
n_graph_iters: 8
nb_node_layer: 3
nb_edge_layer: 3
emb_channels: 0
layernorm: True
batchnorm: True
aggregation: sum_max
hidden_activation: ReLU
weight: 2
warmup: 3
# lr: 0.0001
lr: 0.01
factor: 0.3
patience: 20
regime: [[pid]]
max_epochs: 0

# Post-processing
callbacks: [[GNNInferenceCallback]]
